/* ============================================================
 *
 * This file is a part of digiKam
 *
 * Date        : 02-02-2012
 * Description : Face database interface to train identities.
 *
 * Copyright (C) 2012-2013 by Marcel Wiesweg <marcel dot wiesweg at gmx dot de>
 * Copyright (C) 2010-2020 by Gilles Caulier <caulier dot gilles at gmail dot com>
 * Copyright (C)      2019 by Thanh Trung Dinh <dinhthanhtrung1996 at gmail dot com>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef DIGIKAM_FACE_DB_P_H
#define DIGIKAM_FACE_DB_P_H

#include "facedb.h"

// Local includes

#include "digikam_debug.h"

#ifdef USE_DNN_RECOGNITION_BACKEND

#   include "dnnfacemodel.h"

#else

#   include "lbphfacemodel.h"

#endif

/*
NOTE: experimental and deprecated

#include "eigenfacemodel.h"
#include "fisherfacemodel.h"

*/

namespace Digikam
{

class Q_DECL_HIDDEN FaceDb::Private
{

public:
    explicit Private()
        : db(nullptr)
    {
    }

    FaceDbBackend* db;
};

} // namespace Digikam

#endif // DIGIKAM_FACE_DB_P_H
