/* ============================================================
 *
 * This file is a part of digiKam project
 * https://www.digikam.org
 *
 * Date        : 2010-10-09
 * Description : Face scan settings
 *
 * Copyright (C) 2010-2012 by Marcel Wiesweg <marcel dot wiesweg at gmx dot de>
 * Copyright (C) 2012-2020 by Gilles Caulier <caulier dot gilles at gmail dot com>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include "facescansettings.h"

namespace Digikam
{

FaceScanSettings::FaceScanSettings()
    : useFullCpu(false),
      accuracy(70),
      task(Detect),
      alreadyScannedHandling(Skip),
      recognizeAlgorithm(RecognitionDatabase::RecognizeAlgorithm::DNN) // Default is DNN with 7.0.0
{
}

FaceScanSettings::~FaceScanSettings()
{
}

} // namespace Digikam
